Bug 952854 - I can't choose metacity themes installed in my home directory
Summary: I can't choose metacity themes installed in my home directory
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-16 21:11 UTC by sahinsureyya
Modified: 2014-02-17 03:12 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-02-05 20:41:11 UTC


Attachments (Terms of Use)

Description sahinsureyya 2013-04-16 21:11:10 UTC
Description of problem: When I install a new gnome theme in my home directory (~/.themes folder), I am not able to choose the metacity theme in gnome tweak tool.


Version-Release number of selected component (if applicable):
I am using fedora 18 gnome desktop environment.

How reproducible:


Steps to Reproduce:
1. Install a new gnome theme locally to your home directory, ~/.themes (You can use gnome-cupertino from gnome-look.org for example).
2. Open gnome tweak tool
3. Look for the gnome-cupertino in the current theme section.
  
Actual results:
When you change to gnome-cupertino, your metacity theme actually does not change. You can however, choose the gtk+ theme if you want to.

Expected results:
I would expect that I would be able to apply the metacity theme successfully by using gnome tweak tool.


Additional info:

When I install the theme globally to /usr/share directory, the theme works well. I also had a similar problem when I was using fedora 18 xfce spin with xfwm4 window manager themes. Some of the xfce4 themes that I was installing in my home directory were not working properly; I was having just the window buttons but not the window manager.

Comment 1 Florian Müllner 2013-04-17 13:39:43 UTC
(In reply to comment #0)
> Description of problem: When I install a new gnome theme in my home
> directory (~/.themes folder), I am not able to choose the metacity theme in
> gnome tweak tool.

This is arguably a tweak-tool issue, as I suspect that it only looks for themes in $XDG_DATA_HOME/themes (which is where mutter/gnome-shell look for user-installed themes nowadays). You should be able to workaround the issue by either using gsettings directly (rather than through tweak-tool) or symlinking the theme in $XDG_DATA_HOME/themes.

Comment 2 sahinsureyya 2013-04-17 15:11:23 UTC
Okay, I first tried dconf editor instead of gnome tweak tool to see if I can change the metacity theme, which is installed in ~/.themes directory. I didn't succeeed.

I tried one of your suggested workarounds; the one to use gsettings directly from terminal. So I opened a terminal and typed:

gsettings set org.gnome.desktop.wm.preferences theme "Gnome-Cupertino"

which really didn't work at all. So I can confirm that one of the workarounds is not a solution.

I am not able to try your other suggested workarounds as I didn't understand how to use XDG_DATA_HOME directory. I currently do not have this environment variable set (as in default fedora settings) and I am not sure how to make the symlink you mention. I will need directions if you want me to try this workaround...

As a side note; I was using fedora 18 xfce spin last week and I can confirm that xfce had a similar issue with its xfwm4 window manager. That is, for some themes (you can use evolve gtk theme for example), if you install them locally to your .themes directory, you would not be able to use the corresponding xfwm4 theme. All I was getting was the windows buttons and a shadow instead of the window manager itself. My only success was to install adwaita-light and adwaita-dark xfce themes locally. They worked for some reason that I can't figure out.

Comment 3 Florian Müllner 2013-04-17 21:26:13 UTC
(In reply to comment #2)
> I tried one of your suggested workarounds; the one to use gsettings directly
> from terminal. So I opened a terminal and typed:
> 
> gsettings set org.gnome.desktop.wm.preferences theme "Gnome-Cupertino"
> 
> which really didn't work at all. So I can confirm that one of the
> workarounds is not a solution.

I can reproduce that, with the following error on stderr:

Window manager warning: Failed to load theme "Gnome-Cupertino": Line 328 character 44: Element <padding> is not allowed below <frame_style>

So the problem is not the workaround, but the theme itself, which uses an invalid element (my guess is that it's an incompatible Unity addition to the theme format).

Comment 4 sahinsureyya 2013-04-17 23:14:32 UTC
The website claims that theme is compatible with Gnome 3.6.x on:

http://gnome-look.org/content/show.php/Gnome+Cupertino?content=147061

Additionally, if you copy the theme in your /usr/share/themes directory, you will realize that the theme works fine without any errors, which gives me the impression the bug problem is not with the theme but with fedora itself.

Perhaps I was not clear in my previous reports. After you install the gnome-cupertino theme in your ~/.themes directory, the tweak tool gives you the ability to change the gtk+ theme to Gnome-Cupertino (and it works fine). However, you won't be able to change the corresponding metacity window manager theme from the current theme combo box but you will be able to see the text "Gnome-Cupertino" when you press on it. When you extract the gnome-cupertino tarball, you can just copy the Gnome-Cupertino folder and delete the Gnome-Cupertino-Unity folder. You don't have to worry about the unity one.

I need to add on this report that I installed other themes from Fedora 18 official repos just to see how compatible Fedora 18 with its own themes. I can confirm that most of them are problematic. The only theme which worked from Fedora repos was Zukitwo in Gnome. For Xfce, even Zukitwo is a problem as it causes timer and system monitor applets not functioning. If you have time, just try them yourself and see how many of them are (not) working properly...

Fedora should consider either maintain the themes in their official repos or drop them if they don't function properly. It is causing confusion otherwise.

Comment 5 Florian Müllner 2013-04-18 00:10:20 UTC
(In reply to comment #4)
> Additionally, if you copy the theme in your /usr/share/themes directory, you
> will realize that the theme works fine without any errors, which gives me
> the impression the bug problem is not with the theme but with fedora itself.

Nope, same error. Are you sure that you are actually using metacity as window manager and not gnome-shell (the default)? In the latter case, you are simply using the wrong directory and should use ~/.local/share/themes instead.

Comment 6 sahinsureyya 2013-04-18 00:53:19 UTC
Try these steps:

1. Download Gnome-Cupertino 2.1.5 for Gnome 3.6 (fedora 18 also has Gnome 3.6) from http://gnome-look.org/content/show.php/Gnome+Cupertino?content=147061

2. Extract the Tarball, right click and choose extract here.

3. Change to the folder 147061-Gnome-Cupertino-2.1.5, choose the subfolder Gnome-Cupertino and cut it.

4. Paste the subfolder Gnome-Cupertino to /usr/share/themes.

5. Open Gnome Tweak Tool.

6. Go to Theme tab from the left panel. Then, in the Current Theme combo box, choose Gnome-Cupertino; you will realize that the window manager theme changes instantly.

7. From the Gtk+ theme combo you can choose Gnome-Cupertino theme to apply the whole theme to your desktop.

If you repeat the same steps with the change /usr/share/themes to ~/.themes you won't be able to do step 6; which is the reason I filed this bug report. I would like to be able to use my home .themes folder instead of /usr/share/themes as I was supposed to.

I am on gnome-shell 3.6 as it comes default with Fedora 18 gnome desktop spin. I didn't try to use the folder ~/.local/share/themes as all of the themes in gnome-look.org were suggesting to use ~/.themes folder.

I would like to be able to theme my desktop on my own because I find the gnome iconset and adwaita theme combination not usable and not aesthetic. The adwaita theme, which is snow white, is not contrasting properly with gnome icon set. See firefox back/forward and other buttons for example. Additionally, the theme packages in official fedora 18 are buggy. Thus, the only option for me to theme my desktop manually on my own. I don't want to use /usr/share/themes folder as this folder was not supposed to be the place where I would copy my own themes.

Comment 7 sahinsureyya 2013-04-18 01:11:03 UTC
Just as another update, I tried your suggestion and created ~/.local/share/themes folder and copied the theme there. I was not able to even see the theme from the Tweak tool. This would give me the evidence that ~/.themes is the proper place to copy my themes.

I guess with the current situation, fedora 18 not recognizing my ~/.themes folder properly, the theme packages in fedora 18 repos being dated or problematic; the only current option if I want to go with fedora 18 is to use /usr/share/themes folder...

Comment 8 Fedora End Of Life 2013-12-21 12:52:16 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 James Davidson 2014-01-06 00:33:39 UTC
I see this issue on F20 still. If I symlink a theme in ~/.themes to /usr/share/themes I can use dconf editor to set org.gnome.desktop.wm.preferences.theme to my theme. If the symlink is not present, the setting does not take.

Is there no way for a user to set a theme from their home directory any more?

Comment 10 Florian Müllner 2014-01-09 13:56:24 UTC
(In reply to James Davidson from comment #9)
> Is there no way for a user to set a theme from their home directory any more?

Yes, but it has been moved in "normal" GNOME to ~/.local/share/themes. Only metacity (which is very much unmaintained) is still using ~/.themes nowadays.

Comment 11 Fedora End Of Life 2014-02-05 20:41:11 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 James Davidson 2014-02-17 03:12:25 UTC
(In reply to Florian Müllner from comment #10)
> Yes, but it has been moved in "normal" GNOME to ~/.local/share/themes. Only
> metacity (which is very much unmaintained) is still using ~/.themes nowadays.

~/.local/share/themes is working for me. Thanks.


Note You need to log in before you can comment on or make changes to this bug.